Skip to content

수신 거부된 이메일 주소 목록 조회하기

get

/email/unsubscribes

이 엔드포인트를 사용하여 start_date에서 end_date까지의 기간 동안 수신 거부한 최신 이메일을 반환합니다. 전체 구독 상태 기록을 보려면 Currents를 사용하여 이 데이터를 추적하세요.

이 엔드포인트를 사용하여 Braze와 다른 이메일 시스템 또는 자체 데이터베이스 간의 양방향 동기화를 설정할 수 있습니다.

필수 조건

이 엔드포인트를 사용하려면 email.unsubscribe 권한이 있는 API 키가 필요합니다.

사용량 제한

이 엔드포인트에는 API 사용량 제한 설명서에 명시된 대로 기본 Braze 사용량 제한인 시간당 250,000건의 요청이 적용됩니다.

요청 매개변수

날짜 범위에 limit 이상의 수신 거부 건수가 있는 경우, 호출 결과가 limit보다 적거나 0이 될 때까지 매번 offset을 늘려가며 여러 번 API 호출을 수행해야 합니다.

요청 예시

1
2
curl --location --request GET 'https://rest.iad-01.braze.com/email/unsubscribes?start_date=2020-01-01&end_date=2020-02-01&limit=1&offset=1&sort_direction=desc&[email protected]' \
--header 'Authorization: Bearer YOUR-API-KEY-HERE'

응답

항목은 내림차순으로 나열됩니다.

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
{
  "emails": [
    {
      "email": (string) an email that has been unsubscribed,
      "unsubscribed_at": (string) the time the email was unsubscribed in ISO 8601
    },
    {
      "email": (string) an email that has been unsubscribed,
      "unsubscribed_at": (string) the time the email was unsubscribed in ISO 8601
    },
    {
      "email": (string) an email that has been unsubscribed,
      "unsubscribed_at": (string) the time the email was unsubscribed in ISO 8601
    }
  ],
  "message": "success"
}
New Stuff!